diff tpc @ 76:c801dccdb4fb

Add shell script for driving tpc.js
author Mike Pavone <pavone@retrodev.com>
date Sun, 15 Jul 2012 13:06:29 -0700
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tpc	Sun Jul 15 13:06:29 2012 -0700
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+args=
+dir=`dirname $0`
+while [ $# -gt 0 ]; do
+	if [ "-o" = "$1" ]; then
+		shift
+		output="$1"
+	else	
+		args="$args $1"
+	fi
+	shift
+done
+
+if [ $output ]; then
+	if d8 $dir/tpc.js -- $args > $output; then
+		exit
+	else
+		code=$?
+		cat $output 1>&2
+		rm -f $output
+		exit $code
+	fi
+else
+	d8 $dir/tpc.js -- $args
+fi
+